Change the App's Assistant
PATCH
/apps/{appId}/assistant
const url = 'https://api.passion.io/v1/apps/example/assistant';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","welcomeMessage":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.passion.io/v1/apps/example/assistant \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "welcomeMessage": "example" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”appId
required
The id of the App, as Studio shows it.
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
The name members see.
string
welcomeMessage
The first message a member sees.
string
Examplegenerated
{ "name": "example", "welcomeMessage": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
Examplegenerated
{ "name": "example", "avatarUrl": "example", "ownVoice": true, "welcomeMessage": "example"}